Yate: NamedIterator Class Reference

Yate

Public Member Functions | List of all members
NamedIterator Class Reference

NamedList parameters iterator. More...

`#include <yateclass.h>`

## Public Member Functions
| NamedIterator (const NamedList &list)
| NamedIterator (const NamedIterator &original)
NamedIterator & | operator= (const NamedList &list)
NamedIterator & | operator= (const NamedIterator &original)
const NamedString * | get ()
bool | eof () const
void | reset ()

## Detailed Description

NamedList parameters iterator.

An iterator for NamedString parameters of a NamedList. Fast but unsafe, the list must not be modified during iteration.

## Constructor & Destructor Documentation

## ◆ NamedIterator() [1/2]

NamedIterator | ( | const NamedList & | list | ) |
| inline

Constructor

Parameters

  list | NamedList whose parameters are iterated

Referenced by NamedIterator(), operator=(), and operator=().

## ◆ NamedIterator() [2/2]

NamedIterator | ( | const NamedIterator & | original | ) |
| inline

Copy constructor, points to same list and position as the original

Parameters

  original | Iterator to copy from

References NamedIterator().

## Member Function Documentation

## ◆ eof()

bool eof | ( |  | ) | const
| inline

Check if the iteration reached end of the parameters list

## ◆ get()

const NamedString * get | ( |  | ) |

Get the current parameter and advance in the list

Returns
  Pointer to list parameter or NULL if advanced past end (eof)

## ◆ operator=() [1/2]

NamedIterator & operator= | ( | const NamedIterator & | original | ) |
| inline

Assignment operator, points to same list and position as the original

Parameters

  original | Iterator to copy from

References NamedIterator().

## ◆ operator=() [2/2]

NamedIterator & operator= | ( | const NamedList & | list | ) |
| inline

Assignment from list operator

Parameters

  list | NamedList whose parameters are iterated

References NamedIterator(), and ObjList::skipNull().

## ◆ reset()

void reset | ( |  | ) |
| inline

Reset the iterator to the first position in the parameters list

The documentation for this class was generated from the following file:

- yateclass.h